<?php
include_once("../include/main.inc.php");
check_session('MyCpanel','index.php');
@extract($_REQUEST);

if (empty($catID)) {
	$heading="Add New Category";
}
else {
	$heading="Edit Category";
}

$record_type="Category";
$script_name="addedit_procategory.php";
$redirect_script_name="manage_pro_categories.php";
$table_name="category_tbl";
#################### Add Record ##################

if($_REQUEST[action]=="add_record" && $catName!="") {
	$catDesc=mysql_real_escape_string($_POST[catDesc]);
$catDesc1=mysql_real_escape_string($_POST[catDesc1]);
	$numCnt=getCount($table_name," where catName='$catName' and parentID='$parentID' and catID!='$catID' and catgType='$catgType' ");
	if($numCnt>0) {
		$_SESSION[session_message]=$record_type.' already exist';
	}
	else{
		if($_FILES[image][name]!=""){
			$file_extension=strtolower(getExtension($_FILES[image][name]));
			if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png"){
				$_SESSION[session_message]='Please upload image (.jpg,.gif,.png Format Only)';
				header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
				exit;
			}
			if($_FILES[image][name]!=""){
				$img_name=date("d_m_Y_H_i_s");
				$img=upload_file($img_name,"image","uploaded_files/category_images");	
				
				$width="100";
				$height="100";
				$source_folder=SITE_DIR_PATH."/uploaded_files/category_images/";
				$destination_folder=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/";
				saveResizedImage($img, $width, $height, $source_folder, $destination_folder);			
			}
		}
		$maxRes=db_fetch_array(db_query("select max(catOrder) from $table_name where parentID='$parentID'"));
		$catOrder=$maxRes[0]+1;
		$sql=db_query("insert into $table_name set parentID='$parentID', catName='$catName', catgType='$catgType', catDesc='$catDesc', catDesc1='$catDesc1', catImage='$img', catOrder='$catOrder'");
		$_SESSION[session_message]=$record_type.' has been added successfully';
		header("Location: ".SITE_ADMIN_URL."/".$redirect_script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
		exit;
	}
}

################ Update Record ##################

if($_REQUEST[action]=="update_record" && $catName!="" ) {
	$catDesc=mysql_real_escape_string($_POST[catDesc]);
$catDesc1=mysql_real_escape_string($_POST[catDesc1]);
	$numCnt=getCount($table_name," where catName='$catName' and parentID='$parentID' and catID!='$catID' and catgType='$catgType'");
	if($numCnt>0) {
		$_SESSION[session_message]=$record_type.' already exist';
		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
		exit;
	}
	
	if($_FILES[image][name]!=""){
		$file_extension=strtolower(getExtension($_FILES[image][name]));
		if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png"){
			$_SESSION[session_message]='Please upload image (.jpg,.gif,.png Format Only)';
			header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
			exit;
		}
		if($_FILES[image][name]!=""){
			$categoryRes=getResult($table_name," where catID='$catID'","catImage");
			$filename=$categoryRes['catImage'];
			if($filename!="") {
				$file=SITE_DIR_PATH."/uploaded_files/category_images/".$filename;
				if(file_exists($file)) {
					unlink($file);
				}
				
				$file_thumb=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/".$filename;
				if(file_exists($file_thumb)) {
					unlink($file_thumb);
				}
			}
			
			$img_name=date("d_m_Y_H_i_s");
			$img=upload_file($img_name,"image","uploaded_files/category_images");
			updateTable($table_name," catImage='$img' where catID='$catID'");
			
			$width="100";
			$height="100";
			$source_folder=SITE_DIR_PATH."/uploaded_files/category_images/";
			$destination_folder=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/";
			saveResizedImage($img, $width, $height, $source_folder, $destination_folder);
		}
	}
		
	updateTable($table_name," catName='$catName', catgType='$catgType', catDesc='$catDesc', catDesc1='$catDesc1' where catID='$catID'");
  $_SESSION[session_message]=$record_type.' has been updated successfully';
	header("Location: ".SITE_ADMIN_URL."/".$redirect_script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
	exit;
}
########################################################
admin_header();
?>

<div align="left" class="myTitle"><?=$heading;?></div>
<hr size="2" width="100%" color="#92B2D6">
<?php
print_message();
$res=getResult($table_name," where catID='$catID'");

	$catName=$res[catName];
	$catDesc=$res[catDesc];
	$catDesc1=$res[catDesc1];
	$catgType=$res[catgType];

echo $catgType;

?>

<table width="100%"  border="0" cellpadding="0" cellspacing="2">
 <tr>
  <td align="right"><input type="button" class="button" value="Go Back To Manage <?=$record_type;?>" onclick="window.location.href='<?=SITE_ADMIN_URL?>/<?=$redirect_script_name;?>?parentID=<?=$parentID;?>&catID=<?=$catID;?>&start=<?=$start;?>&pagesize=<?=$pagesize;?>';"></td>
 </tr>
</table><br />

<form name="formn" method="post" action="" enctype="multipart/form-data" onsubmit="return validate(this);">
<?=$msg;?>
<table width="100%"  border="0" cellpadding="0" cellspacing="2" class="lightBorder">
 <tr>
  <td class="brdrbtm" width="125"><b>Category Name</b>*</td>
  <td class="brdrbtm">
   <input name="catName" class="txtfieldadmin" size="70" value="<?=$catName?>" id="NOBLANK~Please enter category name~DM~">
  </td>
 </tr>
 
  <tr>
  <td class="brdrbtm" width="125"><b>Category Type</b>*</td>
  <td class="brdrbtm">
     <select name="catgType" class="p5px ml10" id="catgType">
        <option value="0" <?if($catgType=="0"){ echo "selected";}?>>Products</option> 
	</select>
  </td>
 </tr>
 
 <tr>
  <td class="brdrbtm"><b>Product Category Description</b></td>
  <td class="brdrbtm"><textarea name="catDesc" id="catDesc" rows="10" cols="70" class="txtfieldadmin" ><?=$catDesc?></textarea></td>
  <script type="text/javascript">
	var oFCKeditor=new FCKeditor('catDesc');
	oFCKeditor.BasePath="fckeditor/";
	oFCKeditor.Width="600px";
	oFCKeditor.Height="400px";
	oFCKeditor.ReplaceTextarea();
	</script>
 </tr>
  <tr>
  <td class="brdrbtm"><b> Companies Category Description</b></td>
  <td class="brdrbtm"><textarea name="catDesc1" id="catDesc1" rows="10" cols="70" class="txtfieldadmin" ><?=$catDesc1?></textarea></td>
 </tr>
<script type="text/javascript">
	var oFCKeditor=new FCKeditor('catDesc1');
	oFCKeditor.BasePath="fckeditor/";
	oFCKeditor.Width="600px";
	oFCKeditor.Height="400px";
	oFCKeditor.ReplaceTextarea();
	</script>
 <tr>
  <td class="brdrbtm" width="150"><b>Category Image</b></td>
  <td class="brdrbtm" >
   <input name="image" type="file" class="button">
   <?php
   if($res[catImage]!=""){
	   $file1=SITE_DIR_PATH."/uploaded_files/category_images/".$res[catImage];
	   if(file_exists($file1)){
		   $dimens=GetImageSize($file1);
		   if($dimens[0]>130){
			   $dimens[0]=$dimens[0]+30;
			   $dimens[1]=$dimens[1]+80;
		   }
		   else{
			   $dimens[0]=200;
			   $dimens[1]=200;
		   }
		   ?>
		   <a href="javascript:void(0);" onClick="openwin('<?=SITE_ADMIN_URL;?>/popup.php?img=category_images/<?=$res[catImage];?>', '<?=$dimens[0];?>', '<?=$dimens[1];?>')" class="linkgray fontbold"><strong>&nbsp;View Image</strong></a>
		   <?php
	   }
   }
   ?>
   <br/><strong>Image Size: Please upload square image for better view.</strong>
  </td>
 </tr>
 <tr>
  <td></td>
  <td class="brdrbtm">
   <?php
   if($res[catID]=="") {
	   ?>
	   <input type="submit" name="add_record" class="button" value="Add <?=$record_type;?>"><input type="hidden" name="action" value="add_record">
	   <?php	   
   }
   else{
	   ?>
	   <input type="submit" name="update_record" class="button" value="Update <?=$record_type;?>"><input type="hidden" name="action" value="update_record">
	   <?php	   
   }
   ?>
   &nbsp;&nbsp;<input type="button" name="cancel" class="button" value="Cancel" onclick="javascript: window.location.href='<?=SITE_ADMIN_URL;?>/<?=$redirect_script_name;?>?parentID=<?=$parentID;?>&catID=<?=$catID;?>&start=<?=$start;?>&pagesize=<?=$pagesize;?>'">   
  </td>
 </tr>
</table>
</form>

<?php
admin_footer();
exit;
?>